ON_SerialNumberMap::SN_ELEMENT Struct Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_lookup.h>`

## Public Member Functions

void | Dump (ON_TextLog &) const

## Public Attributes

ON_UUID | m_id
struct SN_ELEMENT * | m_next
unsigned int | m_sn
unsigned char | m_sn_active
unsigned char | m_id_active
unsigned char | m_reserved1
unsigned char | m_reserved2
struct MAP_VALUE | m_value

## Detailed Description

Definition at line 50 of file opennurbs_lookup.h.

## Member Function Documentation

void ON_SerialNumberMap::SN_ELEMENT::Dump | ( | ON_TextLog & |  | ) | const

## Member Data Documentation

ON_UUID ON_SerialNumberMap::SN_ELEMENT::m_id

Definition at line 56 of file opennurbs_lookup.h.

unsigned char ON_SerialNumberMap::SN_ELEMENT::m_id_active

Definition at line 73 of file opennurbs_lookup.h.

struct SN_ELEMENT* ON_SerialNumberMap::SN_ELEMENT::m_next

Definition at line 57 of file opennurbs_lookup.h.

unsigned char ON_SerialNumberMap::SN_ELEMENT::m_reserved1

Definition at line 74 of file opennurbs_lookup.h.

unsigned char ON_SerialNumberMap::SN_ELEMENT::m_reserved2

Definition at line 75 of file opennurbs_lookup.h.

unsigned int ON_SerialNumberMap::SN_ELEMENT::m_sn

Definition at line 63 of file opennurbs_lookup.h.

unsigned char ON_SerialNumberMap::SN_ELEMENT::m_sn_active

Definition at line 72 of file opennurbs_lookup.h.

struct MAP_VALUE ON_SerialNumberMap::SN_ELEMENT::m_value

Definition at line 86 of file opennurbs_lookup.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_lookup.h